HashTagToken (social-util-library 1.5.0-SNAPSHOT API)
Date: 2019-03-29

org.gcube.socialnetworking.socialtoken

## Class HashTagToken

- java.lang.Object
- - org.gcube.socialnetworking.tokenization.Token
  - - org.gcube.socialnetworking.socialtoken.ReplaceableToken
    - - org.gcube.socialnetworking.socialtoken.HashTagToken

-     public class HashTagToken
      extends ReplaceableToken

  Author:
    Luca Frosini (ISTI - CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SanitizedHashTag` | `sanitizedHashTag`

    - ### Fields inherited from class org.gcube.socialnetworking.socialtoken.ReplaceableToken

      `replaced, tokenReplacement`

    - ### Fields inherited from class org.gcube.socialnetworking.tokenization.Token

      `delimiter, end, start, token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashTagToken(String token, String delimiter, int start, int end)`
    `HashTagToken(Token token)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHashTag()`
    `String` | `getTokenReplacement()`
    `static SanitizedHashTag` | `isHashTag(String hastag)`

    - ### Methods inherited from class org.gcube.socialnetworking.socialtoken.ReplaceableToken

      `createHref, createLink, getDelimiter`

    - ### Methods inherited from class org.gcube.socialnetworking.tokenization.Token

      `getEnd, getStart, getToken, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sanitizedHashTag

          protected SanitizedHashTag sanitizedHashTag

  - ### Constructor Detail

    - #### HashTagToken

          public HashTagToken(String token,
                      String delimiter,
                      int start,
                      int end)

    - #### HashTagToken

          public HashTagToken(Token token)

  - ### Method Detail

    - #### getTokenReplacement

          public String getTokenReplacement()

      Overrides:
        `getTokenReplacement` in class `ReplaceableToken`

    - #### getHashTag

          public String getHashTag()
                            throws Exception

      Throws:
        `Exception`

    - #### isHashTag

          public static SanitizedHashTag isHashTag(String hastag)

Copyright © 2019. All Rights Reserved.